<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Vvveb\Plugins\FileManager\Controller;

use function Vvveb\__;
use Vvveb\Controller\Base;
use Vvveb\System\User\Admin;

class View extends Base {
	function checkAdmin() {
		$admin = Admin::current();

		if (! in_array($admin['role'], ['super_admin', 'admin'])) {
			$this->view->errors[] = __('Because of direct file editing access this plugin works only for super admin and admin roles');

			return false;
		}

		return true;
	}

	function index() {
		if (! $this->checkAdmin()) {
			return;
		}
	}

	function connector() {
		if (! $this->checkAdmin()) {
			return;
		}

		include __DIR__ . DS . '..' . DS . 'elfinder' . DS . 'connector.minimal.php';
	}
}
